
@import url('https://fonts.googleapis.com/css2?family=Inter:wght@100;200;300;400;500;600;700;800;900&family=Jersey+15&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Doto:wght@100..900&family=Inter:wght@100;200;300;400;500;600;700;800;900&family=Jersey+15&display=swap');

@import url('https://unpkg.com/boxicons@2.1.4/css/boxicons.min.css');

html {
    scroll-behavior: smooth;
}

:root {
    --color-primario:  #c004d9;
    --color-secundario: #fff;
    --color-terciario: #000000;
    --color-sombras: #a6acaf;
    --color-hover: #ffffff;

    --fuente-pixelbody: "jersey 15",sans-serif;
    --fuente-pxelheader: "Doto" , sans-serif;
}

* {
    padding: 0%;
    margin:0%;

}


.header {
    display: flex;
    margin: 0%;
    height: 100px;
    justify-content: space-between;
    background-color: var(--color-primario); /* Color de fondo */
    box-shadow: 2px 2px 5px var( --color-sombras); /* Sombra */
    align-items: center;
}

.titulo{
     color: var(--color-secundario); /* Color del texto */ 
     display: flex;
     font-size: 5rem;
    justify-content: center;
}

.img{
    width: 100px;
    height: 100px;
    margin-left: 30%;
}

.img2{
    width: 100px;
    height: 100px;
    margin-right: 30%;
}
/* General styles */

body {
    box-sizing: border-box;
    font-family: var(--fuente-pixelbody);
    background-color: var(--color-secundario);
    height: 100%; /* Asegura que el body y html ocupen toda la altura de la ventana */


main {
    width: 80%;
    padding: 3%;
    margin: auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
}


.textomisproductos_body {
   /* justify-content: center;*/
    text-align: center;    /* Centra el texto del contenedor */
  
    }

    h1 {
        white-space: nowrap;   /*Fuerza el texto a permanecer en una línea*/
        font-size: 4rem;       
        font-weight: bold;     
        color: #333;           
    }

.textomisproductos{
    width: 51%;
    margin: 21px;
    color:var(--color-terciario);
    text-align: center;
    font-size: 25px;
    justify-content: center;
}

/* Grilla de fotos */
.photo-grid {
    display: grid;
    grid-template-columns: repeat(auto-fill,minmax(200px, 1fr));
    gap: 16px;
    margin: 0 auto;
    overflow-y: auto; 
    max-height: 50vh;
}

/* Cajas de fotos */
.photo-box {
    display: flex;
    flex-direction: column;
    justify-content: center;
    background-color: #8c0375;
    border-radius: 30px;
    align-items: center;
    width: 200px;
    height: 300px;
}

/* Imágenes */

.photo-box img {
    border-radius: 30px;
   /* padding: 5px;*/
    margin-top: 10px;
    width: 150px;
    height: 150px;
    }


/* Texto debajo de la imagen */
.textoproductos{
    display: flex;
    padding: 5px;
    color: var(--color-secundario);
    font-size: 1.5rem;
}


.textoproductos_precio{
    display: flex;
    padding: 5px;
    color: var(--color-secundario);
    font-size: 25px;
    align-items: flex-start;
}

.inferior{
    display: flex;
    justify-content: space-between
}

.card-container--value{
    display: flex;
    flex-direction: column;/* Alinea elementos en columna */
    align-items: center; /* Centra el contenido horizontalmente */
    gap: 1px; /* Espacio entre el párrafo y la imagen */
    font-size: 15px;
}


.bx-burst-hover{

    display: block; /* Asegura que se comporte como un bloque */
    margin: 5px auto 0; /* Margen superior para separar del texto */
    width: 30px; /* Ajusta el ancho de la imagen */
    height: auto; /* Mantiene las proporciones de la imagen */
    text-align: center; /* Centra la imagen si está dentro de un contenedor más amplio */
    font-size: 30px;
    color:#ffffff;
}


/* Right Section (Formulario) */

.right-section{
    padding: 1rem 1rem;
    margin: 0 auto;
    max-width: 600px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 20px;
    flex-direction: column;
    box-shadow: 9px 4px 17px #83848ac7;
    border-radius: 18px;
    margin-top: 2rem;
}

.form-container {
    display: flex;
    flex-direction: column;
    gap: 10px
}

.form-container h1 {
    font-size: 2.5rem;
    text-align: center;
    color: #333;
    margin-bottom: 50px;
}

.form-container label {
    font-size: 2rem;
    color: #555;
}

.form-container input {
    padding: 10px;
    font-size: 1rem;
    border: 1px solid #ccc;
    border-radius: 50px;
    width: 100%;
    box-sizing: border-box;
}

.form-buttons {
    display: flex;
    justify-content: space-between;
    gap: 10px;
    margin: 10px;
    padding: 20px;
}

.form-buttons .btn {
    padding: 10px 20px;
    font-size: 1.5rem;
    border: none;
    border-radius: 8px;
    cursor: pointer;
}

.form-buttons .btn.enviar {
    background-color: #00BFFF;
    color: #fff;
}

.form-buttons .btn.limpiar {
    background-color: #ccc;
    color: #333;
}

.form-buttons .btn:hover {
    opacity: 0.9;
}


#no-products-message {
    font-size: 1.2rem;
    color: #555;
    text-align: center;
    margin: 20px 0;
}

.footer {
    color:var(--color-secundario);
    background-color: var(--color-primario);
    padding: 12px;
    text-align: center;
    font-family: var(--fuente-pixelheader);
    font-size: 20px;
    font-weight: 400;
    margin-top: auto;
    position: relative;
}

/* Responsive styles */
@media (max-width: 766px) {
    header h1{
        font-size: 1.5rem;
    }

    .header{
        width: auto;
    }

    .titulo{
        font-size: 2.8rem;
    }

    main {
        flex-direction: column-reverse;
        padding: 5%;
    }

    .textomisproductos{
        width: auto;
        font-size: 2rem;
    }

    .form-container h1{
        font-size: 3rem;
    }
}